Minimum Configuration Apple Mac for HISE



  • I am hoping to buy Apple MacBookAir 13-inch https://www.amazon.in/Apple-MacBook-Air-13-3-inch-MQD32HN/dp/B073Q5R6VR
    Configuration :

    • Brand Apple
    • Operating System MacOS 10.12 Sierra
    • CPU Manufacturer Intel
    • Screen Size 13.3 Inches
    • Computer Memory Size 8 GB
      About this item
    • Dual-core 5th-generation Intel Core i5 processor
    • Intel HD Graphics 6000
    • SSD storage
    • 8GB memory
    • Two USB 3 ports
    • Thunderbolt 2 port
    • SDXC port

    My question is.... Hardware configuration ok for HISE and XCode? MacOS 10.12 Sierra ok for HISE compilation or building audio plugins with HISE & Xcode ?

    Honestly, I don't have experience on MAC OSX. I am using Windows for 15 years 🙂

    So do let me know how to upgrade existing OS (to the latest one) etc if it is not sufficient for HISE.



  • @Tania-Ghosh IMO any Catalina ready Mac will be more than ok. Check if that one can be updated to Catalina at least.



  • I've Got A Macbook Air 2018 Which Has Intel Core I5.
    256 Ssd, 8Gb Ram, Mojave n Catalina Installed On 2 Partitions.

    I Do All The Stuffs On Windows, Then Move The Project To Mac, To Check n Export!



  • The thing to take into account is not Hise but the size of your projects, scriptnode or not, sample-based or synth-based, DSP or not... Any small computer can run Hise for a small project, certainly not all if you combine all the tools Hise can offer with 300 DSP nodes and crazy paint routines, not to mention huge PNGs...



  • Thank you all 🙂 .. @hisefilo @Natan @ustk .. Is it possible to update Sierra OSX to Mojave or catalina?



  • @Tania-Ghosh

    Mac Hardware Requirements
    
    For details about your Mac model, click the Apple icon at the top left of your screen and choose About This Mac. These Mac models are compatible with macOS Catalina:
    
    MacBook (Early 2015 or newer)
    MacBook Air (Mid 2012 or newer)
    MacBook Pro (Mid 2012 or newer)
    Mac mini (Late 2012 or newer)
    iMac (Late 2012 or newer)
    iMac Pro (2017)
    Mac Pro (Late 2013 or newer)
    


  • @hisefilo Ok.. Thanks 🙂


Log in to reply
 

16
Online

1.2k
Users

3.8k
Topics

33.7k
Posts